Page 1 of 1

Problems with FO 0.3 compilation

Posted: Thu Dec 22, 2005 8:35 am
by Wolverine
Hi there. I'm trying to build v0.3 (release and cvs code) and I'm failing to do so.

I'm getting:

Code: Select all

[[email protected] FreeOrion]# scons
scons: Reading SConscript files ...
Configuring for POSIX system...
Checking for pkg-config... yes
Checking for GiGiSDL >= 0.6.0... yes
Checking for log4cpp >= 0.3.4b... yes
Checking for C++ header file log4cpp/Category.hh... yes
Checking for log4cpp::Category::getRoot() in C++ library log4cpp... yes
Checking for fmod >= 3.74... no
Checking fmod version >= 3.74... (cached) yes
Checking for C header file fmod.h... yes
Checking for FSOUND_GetVersion() in C library fmod-3.74... yes
Checking for graphviz >= 0.15.0... no
Checking for C header file graphviz/dot.h... no
Checking for C header file dot.h... no
It worked for CVS two weeks ago, but now it's not. I thought I had to update GraphViz so I did. Now I'm running on graphviz-2.7.20051221.0540-1. I have rebuilt source rpm for graphviz and installed graphviz, graphviz-graphs and graphviz-devel. But it won't compile. Anyone knows where the problem lies? Maybe you could help? ;)

Posted: Thu Dec 22, 2005 6:38 pm
by Yoghurt
For the record: should be fixed now.

And next time post to the Programmers board, please.